Subject: gcl: Builds broken package with gcc-4.3
From: Daniel Schepler <[email-masked]>
To: [email-masked]
Date: Mon, 25 Feb 2008 13:34:43 -0500

Package: gcl
Version: 
Severity: important
User: [email-masked]
Usertags: ftbfs-gcc-4.3

I built gcl in a chroot with gcc -> gcc-4.3, then tried to use the resulting
binary to compile maxima.  I got these errors:

...
Compiling /tmp/buildd/maxima-5.13.0/src/numerical/slatec/zexp.lisp.
; (IN-PACKAGE "CL-USER") is being compiled.
;; Warning: The package operation (IN-PACKAGE "CL-USER") was in a bad place.
End of Pass 1.
End of Pass 2.
OPTIMIZE levels: Safety=0 (No runtime error checking), Space=0, Speed=3
Finished compiling binary-gcl/numerical/slatec/zexp.o.

;        - Loading binary file "binary-gcl/numerical/slatec/zexp.o"
Loading binary-gcl/numerical/slatec/zexp.o
sincos is undefined
Error in FUNCALL [or a callee]: Cannot get relocated section contents

Fast links are on: do (use-fast-links nil) for debugging
Broken at CONDITIONS::CLCS-LOAD.  Type :H for Help.
 1 (Continue) Retry loading file "binary-gcl/numerical/slatec/zexp.o".
 2 (Abort) Return to top level.
dbl:>>
Warning:
REQUIRE is being redefined.

;  - Loading defsystem "maxima"
...
cd src/binary-gcl && echo ':lisp (setq si::*readline-prefix* "maxima::$")(when (fboundp (quote si::sgc-on)) (si::sgc-on t))(setq maxima::*maxima-started* nil)(si::putprop (quote cl-info::cause-maxima-index-to-load) "/usr/share/doc/maxima-doc/info/maxima-index.lisp"  (quote autoload))(si::save-system "foo")' | ./maxima -eval '(run)' && mv foo maxima
/bin/sh: ./maxima: not found
make: *** [build-stamp] Error 127
dpkg-buildpackage: failure: debian/rules build gave error exit status 2

I just confirmed that rebuilding gcl with gcc-4.2, that resulting binary
builds maxima just fine.
-- 
Daniel Schepler